Get bank account balance history
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/banks/accounts/{id}/balanceHistory \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/banks/accounts/{id}/balanceHistory"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/banks/accounts/{id}/balanceHistory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"bankAccountId": 123,
"id": 123,
"latestTransactionDatetime": "2023-11-07T05:31:56Z",
"latestTransactionDate": "2023-12-25",
"latestApiTransactionId": "<string>",
"generalLedgerBalance": 123,
"apiBalanceCurrentBalance": 123,
"apiBalanceLastUpdatedDatetime": "2023-11-07T05:31:56Z",
"createdDatetime": "2023-11-07T05:31:56Z"
}
],
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"cursor": "<string>",
"deletedIds": [
123
]
}Banks
Get bank account balance history
Get balance history for a specific bank account
GET
/
v5
/
banks
/
accounts
/
{id}
/
balanceHistory
Get bank account balance history
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Bank account ID
Response
200 - application/json
successful operation
The list of entities
Show child attributes
Show child attributes
Date filter - to be used in your subsequent request
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate
⌘I